[project]
name = "la_chariotte"
dynamic = ["version"]

description = "Web application for organising grouped orders"
authors = [{name = "Laetitia Getti", email = "laetitia@chariotte.fr"}]
readme = "README.md"
license = {file = "LICENSE"}
classifiers = ["License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)"]
dependencies = [
    "django>=4,<5",
    "psycopg2-binary>=2,<3",
    "sentry-sdk<1",
    "xhtml2pdf",
    "icalendar",
    "base36",
    "django-weasyprint",
    "html2text",
]

[tool.setuptools]
py-modules = ["la_chariotte"]

[tool.setuptools.dynamic]
version = {attr = "la_chariotte.__version__"}


[build-system]
requires = [
    "setuptools","wheel"
]
build-backend = "setuptools.build_meta"

[project.optional-dependencies]
dev = [
    "pytest>=7,<8",
    "pip-tools>=6,<7",
    "pytest-isort>=3,<4",
    "pytest-django>=4,<5",
    "pytest-cov>=4,<5",
    "diff-cover>=4,<5",
    "pytest-black<1",
]

[tool.pytest.ini_options]
DJANGO_SETTINGS_MODULE = "la_chariotte.settings"
addopts = "-x --ff --isort --black --reuse-db --cov-report xml --cov-report term-missing --cov=la_chariotte -p no:warnings"
isort_ignore = ["*migrations/*.py"]

[tool.isort]
skip_glob = ["*migrations/*.py"]
profile = "black"

[tool.black]
line-length = 88
exclude = '''

(
  /(
    | migrations
    | static
    | .venv
  )/
)
'''
